package it.integry.integrywmsnative.core.rest.model;

import java.util.Date;

import it.integry.integrywmsnative.core.di.BindableBoolean;
import it.integry.integrywmsnative.core.utility.UtilityDate;

public class DocumentoResoDTO {

    private String codAnag;
    private int counterConsegna;
    private String codDtip;
    private String dataDoc;
    private String serDoc;
    private int numDoc;
    private String destinatario;
    private String indirizzo;
    private String ragSoc;
    private String compilatoDa;
    private String rifOrd;
    private String dataOrd;
    private Integer numOrd;
    private String dataInizTrasp;
    private String gestione;
    private String codMdep;


    public BindableBoolean selected;

    public DocumentoResoDTO() {
        this.selected = new BindableBoolean(false);
    }


    public String getCodAnag() {
        return codAnag;
    }

    public DocumentoResoDTO setCodAnag(String codAnag) {
        this.codAnag = codAnag;
        return this;
    }

    public int getCounterConsegna() {
        return counterConsegna;
    }

    public DocumentoResoDTO setCounterConsegna(int counterConsegna) {
        this.counterConsegna = counterConsegna;
        return this;
    }

    public String getCodDtip() {
        return codDtip;
    }

    public DocumentoResoDTO setCodDtip(String codDtip) {
        this.codDtip = codDtip;
        return this;
    }

    public String getDataDocS() {
        return dataDoc;
    }

    public Date getDataDocD() {
        return UtilityDate.recognizeDateWithExceptionHandler(getDataDocS());
    }

    public DocumentoResoDTO setDataDoc(String dataDoc) {
        this.dataDoc = dataDoc;
        return this;
    }

    public String getSerDoc() {
        return serDoc;
    }

    public DocumentoResoDTO setSerDoc(String serDoc) {
        this.serDoc = serDoc;
        return this;
    }

    public int getNumDoc() {
        return numDoc;
    }

    public DocumentoResoDTO setNumDoc(int numDoc) {
        this.numDoc = numDoc;
        return this;
    }

    public String getDestinatario() {
        return destinatario;
    }

    public DocumentoResoDTO setDestinatario(String destinatario) {
        this.destinatario = destinatario;
        return this;
    }

    public String getIndirizzo() {
        return indirizzo;
    }

    public DocumentoResoDTO setIndirizzo(String indirizzo) {
        this.indirizzo = indirizzo;
        return this;
    }

    public String getRagSoc() {
        return ragSoc;
    }

    public DocumentoResoDTO setRagSoc(String ragSoc) {
        this.ragSoc = ragSoc;
        return this;
    }

    public String getCompilatoDa() {
        return compilatoDa;
    }

    public DocumentoResoDTO setCompilatoDa(String compilatoDa) {
        this.compilatoDa = compilatoDa;
        return this;
    }

    public String getRifOrd() {
        return rifOrd;
    }

    public DocumentoResoDTO setRifOrd(String rifOrd) {
        this.rifOrd = rifOrd;
        return this;
    }

    public String getDataOrdS() {
        return dataOrd;
    }

    public Date getDataOrdD() {
        return UtilityDate.recognizeDateWithExceptionHandler(getDataOrdS());
    }


    public DocumentoResoDTO setDataOrd(String dataOrd) {
        this.dataOrd = dataOrd;
        return this;
    }

    public Integer getNumOrd() {
        return numOrd;
    }

    public DocumentoResoDTO setNumOrd(Integer numOrd) {
        this.numOrd = numOrd;
        return this;
    }

    public String getDataInizTraspS() {
        return dataInizTrasp;
    }

    public Date getDataInizTraspD() {
        return UtilityDate.recognizeDateWithExceptionHandler(getDataInizTraspS());
    }

    public DocumentoResoDTO setDataInizTrasp(String dataInizTrasp) {
        this.dataInizTrasp = dataInizTrasp;
        return this;
    }

    public BindableBoolean getSelected() {
        return this.selected;
    }

    public boolean isSelected() {
        return this.selected.get();
    }

    public DocumentoResoDTO setSelected(boolean selected) {
        this.selected.set(selected);
        return this;
    }

    public String getGestione() {
        return gestione;
    }

    public DocumentoResoDTO setGestione(String gestione) {
        this.gestione = gestione;
        return this;
    }

    public String getCodMdep() {
        return codMdep;
    }

    public DocumentoResoDTO setCodMdep(String codMdep) {
        this.codMdep = codMdep;
        return this;
    }
}
